# Healthcare Webhooks - **OpenAPI Version:** `3.1.1` - **API Version:** `1.0.0` ## Servers - **URL:** `https://{your-endpoint-url}` ## Operations ### clinical\_notes.note\_created - **Method:** `POST` - **Path:** `clinical_notes.note_created` - **Tags:** clinicalnotes The **Clinical Note Created** event is triggered every time the clinical note of the meeting is made available for one of your account users after the meeting's clinical note streaming session ends. ## Prerequisites - Host user must be Pro or higher plan. - Enable the Clinical Note feature in the host's account. - **Event Subscriptions** must be enabled for your [Marketplace app](https://marketplace.zoom.us/user/build) with the following configurations: - A valid **Event Notification Endpoint URL** - The **Clinical Note have created** subscription must be enabled under the **Healthcare** event. #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The event's name. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who started the clinical notes session in the meeting and owns the note document. - **`object` (required)** `object` — Information about the meeting clinical note. - **`ehr_context_available` (required)** `boolean` — Indicates whether the EHR context data (such as appointment, patient, and provider identifiers) is available for this clinical note. - **`meeting_host_id` (required)** `string` — The ID of the user who is set as the meeting host. - **`meeting_id` (required)** `string` — Unique meeting ID. Each meeting instance generates its own meeting UUID. After a meeting ends, a new UUID is generated for the next instance of the meeting. Retrieve a list of UUIDs from past meeting instances using the \[\*\*List past meeting instances\*\*]\(https\://developers.zoom.us/docs/api/rest/reference/zoom-api/methods/#operation/pastMeetings) API. \[Double encode]\(https\://developers.zoom.us/docs/api/using-zoom-apis/#double-encoding) your UUID when using it for API calls if the UUID begins with a \`/\` or contains \`//\` in it. - **`meeting_number` (required)** `string` — The meeting's number. - **`meeting_topic` (required)** `string` — Meeting topic. - **`note_created_time` (required)** `string`, format: `date-time` — The date and time when the clinical note was created. - **`note_end_time` (required)** `string`, format: `date-time` — The clinical note's end date and time in yyyy-MM-dd'T'HH:mm:ss'Z' UTC format. - **`note_id` (required)** `string` — Unique identifier of the note. - **`note_owner_user_id` (required)** `string` — The user ID of the user who started the clinical notes session and owns the note document. - **`note_start_time` (required)** `string`, format: `date-time` — The clinical note's start date and time in yyyy-MM-dd'T'HH:mm:ss'Z' UTC format. - **`note_title` (required)** `string` — The clinical note title. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "meeting_id": "", "meeting_number": "", "meeting_topic": "", "meeting_host_id": "", "note_id": "ArfRXokSTiGTCSYFVtxNa", "note_owner_user_id": "dqV7XEpnS5G3rGsvqylmjQ", "note_start_time": "", "note_end_time": "", "note_created_time": "", "note_title": "", "ehr_context_available": true, "additionalProperty": "anything" }, "additionalProperty": "anything" }, "additionalProperty": "anything" } ``` #### Responses ##### Status: 200 Successfully received the webhook event. ## Schemas ### Clinical\_notes.note\_createdEvent - **Type:**`object` * **`event` (required)** `string` — The event's name. * **`event_ts` (required)** `integer`, format: `int64` — The timestamp (in milliseconds since epoch) at which the event occurred. The value of this field is returned in long(int64) format. * **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who started the clinical notes session in the meeting and owns the note document. - **`object` (required)** `object` — Information about the meeting clinical note. - **`ehr_context_available` (required)** `boolean` — Indicates whether the EHR context data (such as appointment, patient, and provider identifiers) is available for this clinical note. - **`meeting_host_id` (required)** `string` — The ID of the user who is set as the meeting host. - **`meeting_id` (required)** `string` — Unique meeting ID. Each meeting instance generates its own meeting UUID. After a meeting ends, a new UUID is generated for the next instance of the meeting. Retrieve a list of UUIDs from past meeting instances using the \[\*\*List past meeting instances\*\*]\(https\://developers.zoom.us/docs/api/rest/reference/zoom-api/methods/#operation/pastMeetings) API. \[Double encode]\(https\://developers.zoom.us/docs/api/using-zoom-apis/#double-encoding) your UUID when using it for API calls if the UUID begins with a \`/\` or contains \`//\` in it. - **`meeting_number` (required)** `string` — The meeting's number. - **`meeting_topic` (required)** `string` — Meeting topic. - **`note_created_time` (required)** `string`, format: `date-time` — The date and time when the clinical note was created. - **`note_end_time` (required)** `string`, format: `date-time` — The clinical note's end date and time in yyyy-MM-dd'T'HH:mm:ss'Z' UTC format. - **`note_id` (required)** `string` — Unique identifier of the note. - **`note_owner_user_id` (required)** `string` — The user ID of the user who started the clinical notes session and owns the note document. - **`note_start_time` (required)** `string`, format: `date-time` — The clinical note's start date and time in yyyy-MM-dd'T'HH:mm:ss'Z' UTC format. - **`note_title` (required)** `string` — The clinical note title. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "meeting_id": "", "meeting_number": "", "meeting_topic": "", "meeting_host_id": "", "note_id": "ArfRXokSTiGTCSYFVtxNa", "note_owner_user_id": "dqV7XEpnS5G3rGsvqylmjQ", "note_start_time": "", "note_end_time": "", "note_created_time": "", "note_title": "", "ehr_context_available": true, "additionalProperty": "anything" }, "additionalProperty": "anything" }, "additionalProperty": "anything" } ```